# libgmp

GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers.
There is no practical limit to the precision except the ones implied by the available memory in the machine GMP runs on.
GMP has a rich set of functions, and the functions have a regular interface.

The main target applications for GMP are cryptography applications and research, Internet security applications, algebra systems, computational algebra research, etc.

GMP is carefully designed to be as fast as possible, both for small operands and for huge operands.
The speed is achieved by using fullwords as the basic arithmetic type, by using fast algorithms, with highly optimized assembly code for the most common inner loops for a lot of CPUs, and by a general emphasis on speed.

GMP is faster than any other bignum library.
The advantage for GMP increases with the operand sizes for many operations, since GMP uses asymptotically faster algorithms.

